Package com.macrofocus.helper

# Class ColorHelper

java.lang.Object
com.macrofocus.helper.ColorHelper

public class ColorHelper extends Object
Helper class for dealing with colors.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Color`
  `brighter(Color color)`
  `static Color`
  `brighter(Color color, double factor)`
  `static float`
  `brightness(Color color)`
  `static boolean`
  `compatible(Color a, Color b)`
  `static Color`
  `darker(Color color, double factor)`
  `static Color`
  `desaturateColor(Color color)`
  `static Color`
  `desaturateColor(Color color, float saturationMutliplier, float brightnessMultiplier)`
  `static float`
  `diff(Color c1, Color c2)`
  `static String`
  `getHTMLColor(Color c)`
  `static int`
  `intLerp(int dest, int src, int alpha)`
  `static int`
  `intMult(int a, int b)`
  `static int`
  `intPrelerp(int dest, int src, int alpha)`
  `static int`
  `Inva(int a, int c)`
  `static double`
  `lum(Color color)`
  `static float`
  `luminance(Color color)`
  `static Color`
  `parseHTMLColor(String c)`
  `static Color`
  `replaceBrightness(Color color, double brightness)`
  `static Color`
  `toGray(Color color)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ColorHelper

    public ColorHelper()

- ## Method Details

  - ### intMult

    public static int intMult(int a, int b)

  - ### Inva

    public static int Inva(int a, int c)

  - ### intPrelerp

    public static int intPrelerp(int dest, int src, int alpha)

  - ### intLerp

    public static int intLerp(int dest, int src, int alpha)

  - ### desaturateColor

    public static Color desaturateColor(Color color)

  - ### desaturateColor

    public static Color desaturateColor(Color color, float saturationMutliplier, float brightnessMultiplier)

  - ### darker

    public static Color darker(Color color, double factor)

  - ### brighter

    public static Color brighter(Color color)

  - ### brighter

    public static Color brighter(Color color, double factor)

  - ### getHTMLColor

    public static String getHTMLColor(Color c)

  - ### parseHTMLColor

    public static Color parseHTMLColor(String c)

  - ### lum

    public static double lum(Color color)

  - ### toGray

    public static Color toGray(Color color)

  - ### compatible

    public static boolean compatible(Color a, Color b)

  - ### diff

    public static float diff(Color c1, Color c2)

  - ### luminance

    public static float luminance(Color color)

  - ### brightness

    public static float brightness(Color color)

  - ### replaceBrightness

    public static Color replaceBrightness(Color color, double brightness)